Subject: bug#52994: 29.0.50; Help descriptions from menu bar items don't appear in the echo area

From: Po Lu <[email-masked]>
Date: Sat, 22 Jan 2022 20:27:48 +0800

Alan Third <[email-masked]> writes:

>> Hmm?  Shouldn't that kind of thing only apply to regular menus (as on X
>> with a tookit and GTK), and not the menu bar?

> What's the "menu bar" if not the toolkit menus?

On every other toolkit (and at least GNUstep, which I just verified),
the menu bar doesn't interfere with the usual event loop.  Though
unfortunately GNUstep doesn't implement willHighlightItem, so I can only
implement help text for macOS.

The only time a nested event loop is run is when a menu is created with
`x-popup-menu', and that's to make it easy to return a value from that
function.  That's also what I was referring to by "regular menus".

Thanks.